Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher.application
Class PriviledgedMuleApplication

    java.lang.Object
      org.mule.module.launcher.application.DefaultMuleApplication
          org.mule.module.launcher.application.PriviledgedMuleApplication

All Implemented Interfaces:
  Application

    public class PriviledgedMuleApplication

extends DefaultMuleApplication

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.module.launcher.application.DefaultMuleApplication
`DefaultMuleApplication.ConfigFileWatcher`

Field Summary
`protected DeploymentService` | `deploymentService`
`static String` | `REGISTRY_KEY_DEPLOYMENT_SERVICE`

Fields inherited from class org.mule.module.launcher.application.DefaultMuleApplication
`absoluteResourcePaths, ANCHOR_FILE_BLURB, DEFAULT_RELOAD_CHECK_INTERVAL_MS, logger, watchTimer`

Constructor Summary
`protected` | `PriviledgedMuleApplication(String appName)`

Method Summary
`void` | `init()`
`void` | `setDeploymentService(DeploymentService deploymentService)`

Methods inherited from class org.mule.module.launcher.application.DefaultMuleApplication
`createDeploymentClassLoader, createRedeployMonitor, dispose, getAppName, getDeploymentClassLoader, getDescriptor, getMuleContext, install, redeploy, scheduleConfigMonitor, setAppName, start, stop, toAbsoluteFile, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REGISTRY_KEY_DEPLOYMENT_SERVICE

    public static final String REGISTRY_KEY_DEPLOYMENT_SERVICE

See Also:
  Constant Field Values

### deploymentService

    protected DeploymentService deploymentService

Constructor Detail

### PriviledgedMuleApplication

    protected PriviledgedMuleApplication(String appName)

Method Detail

### init

    public void init()

  Specified by:
    `init` in interface `Application`
  Overrides:
    `init` in class `DefaultMuleApplication`

### setDeploymentService

    public void setDeploymentService(DeploymentService deploymentService)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.